import 'package:json_annotation/json_annotation.dart';

part 'friend.g.dart';

@JsonSerializable()
class Friend {
    Friend();

    String nickname;
    String dest;
    num level;
    String icon;
    
    factory Friend.fromJson(Map<String,dynamic> json) => _$FriendFromJson(json);
    Map<String, dynamic> toJson() => _$FriendToJson(this);
}
